RIM’s “workaround” – “Disable the use of JavaScript in the BlackBerry Browser to prevent exploitation of the vulnerability.”

 

 

 

Back on March 11th the BlackBerry WebKit browser was hacked at Pwn2Own 2011. RIM has now released a “workaround” for this vulnerability. “Users of BlackBerry Device Software version 6.0 and later can disable the use of JavaScript in the BlackBerry Browser to prevent exploitation of the vulnerability. The issue is not in JavaScript but the use of JavaScript is necessary to exploit the vulnerability.” The device’s that are affected are:

  • BlackBerry Bold 9650
  • BlackBerry Bold 9700
  • BlackBerry Bold 9780
  • BlackBerry Curve 9300 Series
  • BlackBerry Pearl 9100 Series
  • BlackBerry Style 9670
  • BlackBerry Torch 9800

If you would like more info on this please check out the BlackBerry Knowledge Base. RIM what happened to your security? Please feel free to share your thoughts on this post.

Source

Share/Bookmark